Loading...
Searching...
No Matches
Opm::Linear::OverlappingScalarProduct< OverlappingBlockVector, Overlap > Class Template Reference

An overlap aware ISTL scalar product. More...

`#include <overlappingscalarproduct.hh>`

Inheritance diagram for Opm::Linear::OverlappingScalarProduct< OverlappingBlockVector, Overlap >:

## Public Types

using | field_type = typename OverlappingBlockVector::field_type
using | CollectiveCommunication = typename Dune::Communication<typename Dune::MPIHelper::MPICommunicator>
using | real_type = typename Dune::ScalarProduct<OverlappingBlockVector>::real_type

## Public Member Functions

Dune::SolverCategory::Category | category () const override
| the kind of computations supported by the operator. Either overlapping or non-overlapping
| OverlappingScalarProduct (const Overlap &overlap)
field_type | dot (const OverlappingBlockVector &x, const OverlappingBlockVector &y) const override
real_type | norm (const OverlappingBlockVector &x) const override

## Detailed Description

template<class OverlappingBlockVector, class Overlap>
class Opm::Linear::OverlappingScalarProduct< OverlappingBlockVector, Overlap >

An overlap aware ISTL scalar product.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/overlappingscalarproduct.hh